// Imports
@use "variables" as var;

// Actual Styling
:host {
  position: relative;
}

.location-details {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 8px 16px;
  gap: 6px;
  border: 1px solid var(--border-default-grey);
  border-radius: 4px;
  position: relative;
  overflow: visible;

  .details {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .city-name {
      font-weight: bold;
    }

    .coordinates {
      font-size: 12px;
      color: var(--text-default-grey);

      button {
        padding: 0;
        margin-left: 4px;

        &:before {
          --icon-size: 1rem;
        }
      }
    }
  }

  .icons {
    display: flex;
    align-items: center;
    justify-content: right;

    .fr-icon-map-pin-2-line {
      color: var(--blue-france-sun-113-625);

      &[disabled] {
        color: var(--text-disabled-grey);
      }
    }

    .fr-icon-refresh-line {
      color: var(--blue-france-sun-113-625);
    }

    .fr-icon-delete-line {
      color: var(--text-default-warning);
    }
  }
}

.coordinates-menu {
  display: flex;
  border: 1px solid var(--border-default-grey);
  border-radius: 4px;
  flex-direction: column;
  background-color: white;
  width: 100%;

  button {
    padding: 8px 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    &:first-child {
      border-bottom: 1px solid var(--border-default-grey);
    }

    span {
      font-size: 12px;
    }

    .spacer {
      width: 85px;
      text-align: left;
    }

    .coordinates-type-check {
      width: 24px;
      height: 24px;
      color: var(--blue-france-sun-113-625);
    }
  }
}
